
Figure - Bug #118385
【IOVDEV-31621】【VC1】【100】【台架】【EE环境】【副屏】【小窗应用】副屏打开抖音，抖音正常播放
短视频，打开副屏设置，抖音自动停止
2023-05-31 11:28 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-31

Priority: High Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.100.c103

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当启动Settings时,抖音小窗进入onPause状态了,导致无法继续播放视频

Description

环境信息】EE环境

【问题出现时间】：20230530 19.00

【前提条件】：副屏上电

连接中控、时间与中控时间同步

网络连接情况正常

连接蓝牙设备、开启副屏游戏模式

抖音举例

【操作步骤】

1.副屏打开抖音应用，副屏显示抖音正常播放短视频

2.副屏打开设置应用

【实际结果】

1.副屏打开抖音应用正常播放短视频，打开副屏设置模块，抖音自动暂停播放短视频

【期望结果】

1.副屏打开抖音应用正常播放短视频，打开副屏设置模块，抖音正常播放短视频

【备注】：

硬件版本号】：

【edge浏览器版本】：105.0.1343.50

【当前开机次数】：副屏当前开机第155次

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.100.c103

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402
Related issues:

Related to Figure - Bug # 118549: 【IOVDEV-32748】【内部】【VC1】... CLOSED 2023-06-05

History

#1 - 2023-05-31 11:39 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#2 - 2023-05-31 17:19 - CDTS-TEST 周婷

- Due date set to 2023-06-05

#3 - 2023-05-31 17:20 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Major

#4 - 2023-05-31 18:59 - CD FW-鲁凯峰

当启动Settings时,抖音小窗进入onPause状态了,导致无法继续播放视频

目前正在考虑当其他全屏应用时,不重新设置小窗的生命周期

#5 - 2023-06-02 18:19 - CD FW-鲁凯峰

目前已经有一个方案,正在验证.

在启动其他应用时,不将小窗应用设置成pause状态

#6 - 2023-06-05 13:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204642 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: don't pause freeform activitydon't pause freeform activity when start other fullscreen activityTC-RID: 1201-0204601IssueID:

TS-R-BUG-118385Change-Id: Ibe9b541173a6c5389d84b4570b820650f1225070

#7 - 2023-06-05 13:46 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_TEST 王成

- Resolution changed from -- to FIXED

- Root cause set to 当启动Settings时,抖音小窗进入onPause状态了,导致无法继续播放视频

#8 - 2023-06-06 14:33 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED
在01.00.0108.C104版本验证通过

#9 - 2023-06-06 20:05 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

video_1685446516 (1).mp4 2.83 MB 2023-05-31 CDTS_TEST 王成
